@import url('https://fonts.googleapis.com/css2?family=Lato&family=Oswald:wght@200;300;400;500;700&display=swap');

:root {
    /* colors */
    --primary: #6BD2E5;
    /* RGB (107, 210, 229)  */
    --container: #1A1B1B;
    /* RGB (26, 27, 27)  */
    --text-gray: #D1CFCF;
    --bg-input: #272727;
    --dark: #000000;
    --light: #FFFFFF;

    /* fonts */
    --font-1: 'Oswald';
    --font-2: 'Lato';
    --font-3: 'Beon';
}

/* Keyframes */
@keyframes intro-h1 {
    0%  {
        left: -200%;
        color: transparent;
        z-index: -100;
        text-shadow: 0 0 10px var(--primary), 0 0 40px var(--primary), 0 0 80px var(--primary);
    }
    50% {
        left: -50%;
        color: transparent;
    }
    60% {
        left: 12%;
        color: transparent;
    }
    90% {
        color: transparent;
        color: var(--primary);
    }
    99% {
        color: transparent;
        font-weight: bold;
    }
    100%  {
        color: transparent;
        left: 0%;
    }
}

@keyframes intro-p {
    0%  {
        position: absolute;
        color: transparent;
        bottom: -50%;
        z-index: -100;
    }
    40% {
        bottom: -20%;
        position: absolute;
        color: transparent;
        z-index: -100;
    }
    
    80% {
        position: absolute;
        bottom: -20%;
        z-index: -100;
    }

    95% {
        position: absolute;
        bottom: 25%;
        z-index: -100;
    }

    96% {
        position: absolute;
        bottom: 16%;
        z-index: -100;
    }
    97% {
        position: absolute;
        bottom: 17%;
        z-index: -100;
        text-shadow: 0 0 10px var(--primary), 
                    0 0 40px var(--primary), 
                    0 0 80px var(--primary);
    }
    98% {
        position: absolute;
        bottom: 18%;
        z-index: -100;
        text-shadow: 0 0 10px var(--primary), 
                    0 0 40px var(--primary), 
                    0 0 80px var(--primary);
    }

    99% {
        position: absolute;
        bottom: 19%;
        z-index: -100;
        text-shadow: 0 0 10px var(--primary), 
                    0 0 40px var(--primary), 
                    0 0 80px var(--primary);
    }
    
    100% {
        color: transparent;
        font-size: 2rem;
        bottom: 20%;
        z-index: -100;
    }
    
    100%  {

    }
}

@keyframes intro-btn {
    0%  {
        bottom: -100%;
        color: transparent;
        border:none;
        z-index: -100;
    }
    50% {
        bottom: -50%;
        color: transparent;
        border:none;
        z-index: -100;
    }
    90% {
        bottom: -10%;
        color: transparent;
        border:none;
        z-index: -100;
    }
    99% {
        bottom: 10%;
        color: transparent;
        border:none;
        z-index: -100;
    }
    100%  {
        bottom: 0%;
        border:none;
        z-index: -100;
    }
}
@keyframes intro-breaks {
    0%  {
        width: 0;
        box-shadow: 0px 0px 10px 0px var(--primary);
    }
    80% {
        box-shadow: 0px 0px 20px 3px var(--primary);
    }
    90% {
        box-shadow: 0px 0px 10px 5.5px var(--primary);
    }
    100% {
        box-shadow: 0px 0px 10px 6px var(--primary);
    }
} 

@keyframes rotate-text {
    0%  {
        transform: rotate(0deg);
    }
    25% {
        transform: rotate(180deg);
    }
    50% {
        transform: rotate(360deg);
    }
    90% {
        transform: rotate(-180deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    line-height: 1.5;
}

* {
    margin:0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
}

.main-content {
    padding-left: 270px;
}

/* Navbar */
.navbar {
    width: 270px;
    background: var(--dark);
    color: var(--light);
    position: fixed;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 1000;
    padding: 30px;
}

.logo {
    background-color: var(--dark);
    padding: 10px;
    text-align: center;
    margin-bottom: 1rem;
}

.logo img {
    height: 150px;
    width: 150px;
}

.logo h3 {
    font-family: var(--font-3);
    color: var(--light);
    font-size: 2rem;
    font-weight: bold;
    letter-spacing: .25rem;
}
/* nav-links */
.nav-toggler {
    display: none;
    align-items: center;
    justify-content: center;
    height: 40px;
    width: 40px;
    position: fixed;
    cursor: pointer;
    top: 30px;
    right: 50px;
    z-index: 11;
    border-radius: 5px;
}

.nav-toggler:hover {
    box-shadow: 0 0 10px var(--primary), 
                0 0 20px var(--primary);
}

.menu-btn, .cancel-btn{
    position: absolute;
    color: var(--light);
    font-size: 1.6em;
}

.menu-btn {
    display: block;
}

.cancel-btn {
    display: none;
}

.d-block {
    display: block;
}

.d-none {
    display: none;
}

.nav-links {
    margin: 80px 0;
    list-style: none;
    padding: 0;
}

.nav-links .nav-link {
    display: block;
}

.nav-link a {
    font-size: 17px;
    font-weight: 400;
    text-decoration: none;
    color: var(--light);
    line-height: 45px;
    display: block;
    text-align: center;
    margin: 10px 0;
    border-bottom: 1px solid var(--container);
}

.nav-link a:hover {
    font-weight: 600;
    color: var(--primary);
    text-shadow: 0 0 10px var(--primary), 
                0 0 40px var(--primary), 
                0 0 80px var(--primary);
    transition: .35s all ease-in-out;
}

.nav-link a .fas{
    margin-right: 5px;
}

.nav-link:nth-child(2) a .fas{
    margin-right: 6.75px;
}
.nav-link:nth-child(3) a .fas{
    margin-right: 2px;
}
.nav-link:nth-child(4) a .fas{
    margin-right: 1.75px;
}

/* footer */
footer {
    height: 2rem;
    display: flex;
    justify-content: space-evenly;
    padding: 10px;
}

footer a i{
    color: var(--light);
    font-size: 1.5rem;
}

footer a:hover i{
    color: var(--primary);
    transition: .5s color ease-in-out;
    text-shadow: 0 0 10px var(--primary), 
                0 0 40px var(--primary), 
                0 0 80px var(--primary);
}
/* End of footer */
/* End of Navbar */

/* Home Section */
.home-section {
    background: var(--container);
    min-height: 100vh;
    color: var(--light);
    display: flex;
    justify-content: center;
    align-items: center;
}

.home-section .container {
    min-height: 100vh;
    width: 100%;
    padding: 8rem 4rem 4rem 4rem;
}

/* breaks */
.break-top {
    position: absolute;
    top:1.5rem;
    left: 300px;
    height: 1px;
    width: 10rem;
    background: var(--primary);
    animation: intro-breaks 1.5s linear;
    box-shadow: 0px 0px 10px 2px var(--primary);
}

.break-top1 {
    position: absolute;
    top:2.5rem;
    left: 300px;
    height: 1px;
    width: 6rem;
    background: var(--primary);
    animation: intro-breaks 1.50s linear;
    box-shadow: 0px 0px 10px 2px var(--primary);
}

.break-top2 {
    position: absolute;
    top:3.5rem;
    left: 300px;
    height: 1px;
    width: 2.5rem;
    background: var(--primary);
    animation: intro-breaks 1.50s linear;
    box-shadow: 0px 0px 10px 2px var(--primary);
}

.break-bot {
    position: absolute;
    bottom: 1.5rem;
    right: 1.5rem;
    height: 1px;
    width: 10rem;
    background: var(--primary);
    animation: intro-breaks 1.5s linear;
    box-shadow: 0px 0px 10px 2px var(--primary);
}

.break-bot1 {
    position: absolute;
    bottom: 2.5rem;
    right: 1.5rem;
    height: 1px;
    width: 6rem;
    background: var(--primary);
    animation: intro-breaks 1.5s linear;
    box-shadow: 0px 0px 10px 2px var(--primary);
}

.break-bot2 {
    position: absolute;
    bottom: 3.5rem;
    right: 1.5rem;
    height: 1px;
    width: 2.5rem;
    background: var(--primary);
    animation: intro-breaks 1.5s linear;
    box-shadow: 0px 0px 10px 2px var(--primary);
}

/* Descriptions */
.home-section h1 {
    position: relative;
    font-weight: 400;
    font-size: 6rem;
    line-height: 7.5rem;
    font-family: var(--font-1);
}

.blast {
    position: relative;
    display: inline-block;
    transition: 1.3s ease-out;
    animation: intro-h1;
    animation-iteration-count: 1;
}

.blast:hover {
    animation: rotate-text 1.5s linear;
    position: relative;
    color: var(--primary);
    transition: .3s ease-out;
    padding: 1rem;
    text-shadow: 0 0 10px var(--primary), 
                0 0 40px var(--primary), 
                0 0 80px var(--primary);
}

.blast:nth-child(1) {
    animation: intro-h1 3.5s linear;
}
.blast:nth-child(2) {
    animation: intro-h1 4s linear;
}
.blast:nth-child(3) {
    animation: intro-h1 4.5s linear;
}
.blast:nth-child(5) {
    animation: intro-h1 4.8s linear;
}
.blast:nth-child(6) {
    animation: intro-h1 5.1s linear;
}
.blast:nth-child(7) {
    animation: intro-h1 5.4s linear;
}
.blast:nth-child(8) {
    animation: intro-h1 5.7s linear;
}
.blast:nth-child(9) {
    animation: intro-h1 5.9s linear;
}
.blast:nth-child(10) {
    animation: intro-h1 6.1s linear;
}
.blast:nth-child(11) {
    animation: intro-h1 6.4s linear;
}
.blast:nth-child(12) {
    animation: intro-h1 6.8s linear;
}
.blast:nth-child(14) {
    animation: intro-h1 6.5s linear;
}
.blast:nth-child(15) {
    animation: intro-h1 7s linear;
}
.blast:nth-child(16) {
    animation: intro-h1 7.5s linear;
}
.blast:nth-child(17) {
    animation: intro-h1 8s linear;
}
.blast:nth-child(18) {
    animation: intro-h1 8.5s linear;
}
.blast:nth-child(19) {
    animation: intro-h1 9s linear;
}
.blast:nth-child(20) {
    animation: intro-h1 9.5s linear;
}
.blast:nth-child(21) {
    animation: intro-h1 10s linear;
}
.blast:nth-child(22) {
    animation: intro-h1 10.5s linear;
}
.blast:nth-child(23) {
    animation: intro-h1 11s linear;
}
.blast:nth-child(24) {
    animation: intro-h1 11.5s linear;
}
.blast:nth-child(25) {
    animation: intro-h1 12s linear;
}
.blast:nth-child(26) {
    animation: intro-h1 12s linear;
}


.home-section p {
    font-family: var(--font-2);
    color: var(--text-gray);
    padding: 1rem 1rem 1rem 5px;
    animation: intro-p 10.5s linear;
    transition: all .3s ease-in-out;
    font-size: 1.2rem;
}

.home-section p:hover {
    color: lighten(var(--text-gray));
    transition: all .3s ease-out;
    text-shadow: 0 0 10px var(--primary), 0 0 40px var(--primary), 0 0 80px var(--primary);
}

.home-btn {
    position: relative;
    display: inline-block;
    margin-top: 1rem;
    padding: 10px 20px;
    color: var(--primary);
    text-transform: uppercase;
    letter-spacing: 1.75px;
    font-size: 16px;
    font-weight: 700;
    overflow: hidden;
    transition: 0.2s;
    text-decoration: none;
    animation: intro-btn 10.85s linear;
    font-family: var(--font-1);
    border: 1px solid var(--primary);
}

.home-btn:hover {
    color: var(--container);
    background: var(--primary);
    border: none;
    box-shadow: 0 0 10px var(--primary), 
                0 0 40px var(--primary), 
                0 0 80px var(--primary);
    transition-delay: 1s;
}

.home-btn span {
    position: absolute;
    display: block;
}

.home-btn span:nth-child(1) {
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg, transparent, var(--primary));
}

.home-btn:hover span:nth-child(1) {
    left: 100%;
    transition: 1s;
}

.home-btn span:nth-child(2) {
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg, transparent, var(--primary));
}

.home-btn:hover span:nth-child(2) {
    top: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.home-btn span:nth-child(3) {
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg, transparent, var(--primary));
}

.home-btn:hover span:nth-child(3) {
    right: 100%;
    transition: 1s;
    transition-delay: 0.5s;
}

.home-btn span:nth-child(4) {
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg, transparent, var(--primary));
}

.home-btn:hover span:nth-child(4) {
    bottom: 100%;
    transition: 1s;
    transition-delay: 0.75s;
}
/* End of Home Section */




/* About Section */
.about-section {
    background: var(--container);
    min-height: 100vh;
    color: var(--light);
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-section .container {
    position: relative;
    background:var(--container);
    height: 100%;
    width: 100%;
    max-width: 1200px;
    padding: 1rem;
    z-index: 10;
}

.about-header {
    position: relative;
    text-align: center;
    margin: 10px 0px;
}

.about-header h1 {
    position: absolute;
    left: calc(50% - 270px);
    right: calc(50% - 270px);
    transform: translateY(-50%, -50%);
    font-size: 3.25em;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-family: var(--font-1);
    text-shadow: 0 0 20px var(--primary);
}

.about-header h1::after {
    content: attr(data-text);
    position: absolute;
    top: 0%;
    left: calc(50% - 270px);
    right: calc(50% - 270px);
    transform: translateY(-50%, -50%);
    z-index: -1;
    color: var(--primary);
    filter: blur(15px);
}

.about-header h1::before {
    content: '';
    position: absolute;
    top: 0%;
    left: 0%;
    right: calc(50% - 270px);
    transform: translateY(-50%, -50%);
    height: 100%;
    width: 100%;
    z-index: -2;
    background-color: var(--primary);
    opacity: .5;
    filter: blur(50px);
}

.about-header h1 span:nth-child(1) {
    color: var(--primary);
}

.about-body {
    padding: 10px;
    margin: 7.5rem 0;
}

.about-body header {
    text-align: center;
    padding: 20px 30px;
}

.about-body .about-subtitle {
    font-size: 1.75rem;
    font-family: var(--font-1);
    margin: 10px 0px;
}

.about-body .about-subtitle span {
    color: var(--primary);
}

.about-body .about-description {
    font-family: var(--font-2);
    font-size: 1.1em;
    padding: 0 4.5rem;
}

.about-information {
    position: relative;
    display: inline-flex;
    flex-wrap: wrap;
    justify-content: center;
    font-size: 1.5rem;
    padding: 0 1rem;
    margin: auto;
    margin-bottom: 1.5rem;
}

.about-information .info-cell {
    width: 40%;
    padding: 1rem;
    position: relative;
}

.info-cell {
    font-family: var(--font-2);
    font-size: 1.2rem;
}

.about-information .info-cell span:nth-child(1) {
    color: var(--primary);
    font-family: var(--font-1);
    text-transform: uppercase;
}

.about-information .info-cell:nth-child(6) {
    color: rgb(105, 212, 105);
    font-family: var(--font-1);
}

.about-information .info-cell:nth-child(all) {
    border: 2px solid red;
}

.about-information .info-cell span:nth-child(2) {
    width: 90%;
    height: 2px;
    background: var(--primary);
    position: absolute;
    bottom: 0;
    left: 0;
}

.about-btn {
    display: block;
    position: relative;
    width: 50%;
    margin: 1rem auto;
    text-align: center;
    padding: 10px 20px;
    color: var(--primary);
    text-transform: uppercase;
    letter-spacing: 1.75px;
    font-size: 16px;
    font-weight: 700;
    overflow: hidden;
    transition: 0.2s;
    text-decoration: none;
    font-family: var(--font-1);
    border: 1px solid var(--primary);
}

.about-btn:hover {
    color: var(--container);
    background: var(--primary);
    border: none;
    box-shadow: 0 0 10px var(--primary), 
                0 0 40px var(--primary), 
                0 0 80px var(--primary);
    transition-delay: 1s;
}

.about-btn span {
    position: absolute;
    display: block;
}

.about-btn span:nth-child(1) {
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg, transparent, var(--primary));
}

.about-btn:hover span:nth-child(1) {
    left: 100%;
    transition: 1s;
}

.about-btn span:nth-child(2) {
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg, transparent, var(--primary));
}

.about-btn:hover span:nth-child(2) {
    top: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.about-btn span:nth-child(3) {
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg, transparent, var(--primary));
}

.about-btn:hover span:nth-child(3) {
    right: 100%;
    transition: 1s;
    transition-delay: 0.5s;
}

.about-btn span:nth-child(4) {
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg, transparent, var(--primary));
}

.about-btn:hover span:nth-child(4) {
    bottom: 100%;
    transition: 1s;
    transition-delay: 0.75s;
}

/* End of About Section */


/* Projects section */
.projects-section {
    background: var(--container);
    position: relative;
    min-height: 100vh;
    color: var(--light);
    display: flex;
    justify-content: center;
    align-items: center;
}

.projects-section .container {
    position: relative;
    background:var(--container);
    height: 100%;
    width: 100%;
    z-index: 10;
    max-width: 1200px;
    padding: 2rem;
}

.projects-header {
    text-align: center;
}

.projects-header h1 {
    position: absolute;
    left: calc(50% - 270px);
    right: calc(50% - 270px);
    transform: translateY(-50%, -50%);
    font-size: 3.25em;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-family: var(--font-1);
    text-shadow: 0 0 20px var(--primary);
}

.projects-header h1::after {
    content: attr(data-text);
    position: absolute;
    top: 0%;
    left: calc(50% - 270px);
    right: calc(50% - 270px);
    transform: translateY(-50%, -50%);
    z-index: -1;
    color: var(--primary);
    filter: blur(15px);
}

.projects-header h1::before {
    content: '';
    position: absolute;
    top: 0%;
    left: 0%;
    right: calc(50% - 270px);
    transform: translateY(-50%, -50%);
    height: 100%;
    width: 100%;
    z-index: -2;
    background-color: var(--primary);
    opacity: .5;
    filter: blur(50px);
}

.projects-header h1 span {
    color: var(--primary);
}

.projects-body {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    padding: 10px;
    text-align: center;
    margin: 7rem 0;
}

.card {
    position: relative;
    width: 400px;
    height: 300px;
    transform-style: preserve-3d;
    perspective: 600px;
    transition: 0.5s;
    margin: 1.5rem;
}

.card .front img {
    height: 300px;
    width: 400px;
    /* RGB (107, 210, 229)  */
    /* RGB (26, 27, 27)  */
    opacity: .75;
}

.card .front {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000000;
    backface-visibility: hidden;
    transform: rotateX(0deg);
    transition: 0.5s;
}

.card:hover .front {
    transform: rotateX(-180deg);
}

.card .back {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--container);
    backface-visibility: hidden;
    transform: rotateX(180deg);
    transition: .5s ease-in-out;
    box-shadow: 0 0 10px var(--primary), 
    0 0 40px var(--primary), 
    0 0 80px var(--primary);
}

.card:hover .back {
    transform: rotateX(0deg);
}

.card .back .details {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    line-height: 1.6rem;
    height: 100%;
    z-index: 20;
}

.card .back .details h2 {
    margin-top: 1rem;
    font-size: 2em;
}

.card .back .details p {
    color: var(--text-gray);
}

.card .back .details .social-icon {
    margin-top: 1rem;
    font-size: 2em;
}

.card .back .details .social-icon a i {
    color: var(--light);
}

.card .back .details .social-icon a:hover i {
    color: var(--primary);
    transition: 1s;
    text-shadow: 0 0 10px var(--primary), 
                0 0 40px var(--primary), 
                0 0 80px var(--primary);
}
/* End of Projects section */


/* Contact Me Section */
.contact-section {
    background: var(--container);
    position: relative;
    height: 100%;
    min-height: 100vh;
    color: var(--light);
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact-section .container {
    position: relative;
    background:var(--container);
    min-height: 100vh;
    width: 100%;
    z-index: 10;
    max-width: 1200px;
    padding: 2rem;
}
.contact-header {
    text-align: center;
}

.contact-header h1 {
    position: absolute;
    left: calc(50% - 270px);
    right: calc(50% - 270px);
    transform: translateY(-50%, -50%);
    font-size: 3.25em;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-family: var(--font-1);
    text-shadow: 0 0 20px var(--primary);
}

.contact-header h1::after {
    content: attr(data-text);
    position: absolute;
    top: 0%;
    left: calc(50% - 270px);
    right: calc(50% - 270px);
    transform: translateY(-50%, -50%);
    z-index: -1;
    color: var(--primary);
    filter: blur(15px);
}

.contact-header h1::before {
    content: '';
    position: absolute;
    top: 0%;
    left: 0%;
    right: calc(50% - 270px);
    transform: translateY(-50%, -50%);
    height: 100%;
    width: 100%;
    z-index: -2;
    background-color: var(--primary);
    opacity: .5;
    filter: blur(50px);
}

.contact-header h1 span {
    color: var(--primary);

}

/* Form */
.contact-section .container form {
    margin-top: 7rem;
}
.contact-section .container form .row{
    position: relative;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

.contact-section .container form .row .col {
    position: relative;
    width: 100%;
    padding: 0 10px;
    margin: 30px 10px;
    transition: 0.5s;
}

form .row .form-control {
    position: relative;
    width: 100%;
    height: 40px;
    color: var(--text-gray);
}

form .row .form-control input,
form .row .textarea textarea{
    position: absolute;
    width: 100%;
    height: 100%;
    background: transparent;
    box-shadow: none;
    border: none;
    outline: none;
    font-size: 18px;
    padding: 0 10px;
    z-index: 1;
    color: var(--light);
}

form .row .col .form-control label .text {
    position: absolute;
    top: 0;
    left: 0;
    line-height: 40px;
    font-size: 18px;
    padding: 0 10px;
    display: block;
    transition: 0.5s;
    pointer-events: none;
}

form .row .form-control input:focus + label .text, 
form .row .form-control input:valid + label .text,
form .row .form-control textarea:focus + label .text, 
form .row .form-control textarea:valid + label .text
{
    top: -45px;
    left: -10px;
    color: var(--primary);
}

form .row .form-control .line {
    position: absolute;
    bottom: 0;
    display: block;
    width: 100%;
    height: 2px;
    background: var(--primary);
    transition: 0.5s;
    border-radius: 5px;
    pointer-events: none;
    box-shadow: 0 0 50px var(--primary);
} 

form .row .form-control input:focus ~ .line,
form .row .form-control input:valid ~ .line,
form .row .form-control textarea:focus ~ .line, 
form .row .form-control textarea:valid ~ .line {
    height: 100%;
    background: var(--bg-input);
    box-shadow: 0 0 10px var(--primary);
}

form .row .form-control .textarea {
    position: relative;
    width: 100%;
    padding: 10px 0;
    height: 200px;
}

textarea {
    resize: none;
}

.contact-btn {
    display: block;
    position: relative;
    width: 30%;
    margin: 0 auto;
    text-align: center;
    padding: 10px 20px;
    color: var(--primary);
    background: var(--container);
    text-transform: uppercase;
    cursor: pointer;
    letter-spacing: 1.75px;
    font-size: 16px;
    font-weight: 700;
    overflow: hidden;
    transition: 0.2s;
    text-decoration: none;
    font-family: var(--font-1);
    border: 1px solid var(--primary);
}

.contact-btn:hover {
    color: var(--container);
    background: var(--primary);
    border: none;
    box-shadow: 0 0 10px var(--primary), 
                0 0 40px var(--primary), 
                0 0 80px var(--primary);
    transition-delay: 1s;
}

.contact-btn span {
    position: absolute;
    display: block;
}

.contact-btn span:nth-child(1) {
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg, transparent, var(--primary));
}

.contact-btn:hover span:nth-child(1) {
    left: 100%;
    transition: 1s;
}

.contact-btn span:nth-child(2) {
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg, transparent, var(--primary));
}

.contact-btn:hover span:nth-child(2) {
    top: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.contact-btn span:nth-child(3) {
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg, transparent, var(--primary));
}

.contact-btn:hover span:nth-child(3) {
    right: 100%;
    transition: 1s;
    transition-delay: 0.5s;
}

.contact-btn span:nth-child(4) {
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg, transparent, var(--primary));
}

.contact-btn:hover span:nth-child(4) {
    bottom: 100%;
    transition: 1s;
    transition-delay: 0.75s;
}
/* End of Contact Me Section */

/* footer */
footer {
    height: 2rem;
    display: flex;
    justify-content: space-evenly;
    padding: 10px;
}

footer a i{
    color: var(--light);
    font-size: 1.5rem;
}

footer a:hover i{
    color: var(--primary);
    transition: .5s color ease-in-out;
    text-shadow: 0 0 10px var(--primary), 
                0 0 40px var(--primary), 
                0 0 80px var(--primary);
}
/* End of footer */
/* End of Navbar */

/* MEDIA QUERIES */
@media only screen and (max-width: 998px) {
    .main-content {
        padding-left: 0;
    }
    
    .break-top {
        left: 25px;
    }
    
    .break-top1 {
        left: 25px;
    }
    
    .break-top2 {
        left: 25px;
    }

    .home-section h1 span{
        font-size: 4.25rem;
        line-height: 5.5rem;
    }

    .home-section p{
        padding: 1.5rem 0;
    }

    .home-btn {
        margin-top: 1.2rem;
    }
    
    .nav-toggler {
        display: flex;
        z-index: 10000;
    }

    .navbar {
        display: none;
        top: 5px;
        left: 0;
        transition: 0.3s;
    }   
    
    .navbar-active {
        width: 100vw;
        background: var(--dark);
        color: var(--light);
        position: fixed;
        min-height: 100vh;
        left: 0;
        top: 0;
        z-index: 1000;
        padding: 30px;
    }

    .nav-link {
        position: relative;
    }

    .nav-link a:hover {
        border-top: transparent;
        box-shadow: 1.5px 1.5px 5px 0px var(--primary);
    }

    footer {
        display: flex;
        justify-content: center;
        background: var(--dark);
        padding: 10px;
    }

    footer a {
        margin: 0px 1.5rem;
        font-size: 2em;
    }
}

@media only screen and (max-width: 768px) {
    .main-content {
        padding-left: 0;
    }
    
    .break-top {
        left: 25px;
    }
    
    .break-top1 {
        left: 25px;
    }
    
    .break-top2 {
        left: 25px;
    }

    .home-section .container {
        margin-top: 3.5rem;
    }

    .home-section h1 span{
        font-size: 4.25rem;
        line-height: 5.5rem;
    }

    .home-section p{
        padding: 1.5rem 0;
    }

    .home-btn {
        margin-top: 2rem;
    }

    .navbar {
        display: none;
    }

    .nav-toggler {
        display: flex;
    }
}

/* @media only screen and (max-width: 439px) {
    .main-content {
        padding: 0;
        min-width: 100vw;
    }

    .break-top {
        left: 25px;
    }
    
    .break-top1 {
        left: 25px;
    }
    
    .break-top2 {
        left: 25px;
    }

    .home-section .container {
        padding: 3rem;
        margin-top: 5rem;
    }

    .home-section .container h1 span {
        font-size: 2.5rem;
        line-height: 3.2rem;
        text-align: center;
    }

    .home-section p {
        font-size: 1rem;
        line-height: 2.5rem;
        text-align: center;
    }

    .home-btn {
        margin-top: 2rem;
        display: block;
        margin: auto;
        text-align: center;
    }
}

@media only screen and (min-width: 360px) {
    .main-content {
        padding: 0;
        min-width: 100vw;
    }

    .home-section .container {
        padding: 3rem;
        margin-top: 5rem;
    }

    .home-section .container h1{
        font-size: 2rem;
        line-height: 3.2rem;
        text-align: center;
    }

    .home-section p {
        font-size: .75rem;
        line-height: 2.5rem;
        text-align: center;
    }

    .home-btn {
        margin: 2rem auto;
        display: block;
        text-align: center;
    }
}  */